//	SoundHelpers.h - Some helper stuff for the audio generation.
//  ----------------------------------------------------------------------------
//	This file is part of 'GameTemplate', template code for a game.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef SOUNDHELPERS_H_
#define SOUNDHELPERS_H_

#include "ThreeFloats.h"

///	Some helper stuff for the audio generation.
namespace SoundHelpers
{

///	The number of pitches we use.
enum
{
	NumPitches = 10
};

///	Returns the frequency of the indexed pitch.
float getFrequencyForPitch(unsigned int index);

///	Gets the hue from an RGB input.
float getHue(const ThreeFloats& input);

///	Returns the minimum of 2 numbers.
inline float min(float left, float right)
{
	return (left < right) ? left : right;
};

///	Returns the maximum of 2 numbers.
inline float max(float left, float right)
{
	return (left > right) ? left : right;
};

};

#endif
